Skip to main content
GET
/
2025-09
/
invoices
List all Invoices
curl --request GET \
  --url https://public-api.stora.co/2025-09/invoices \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://public-api.stora.co/2025-09/invoices"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://public-api.stora.co/2025-09/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "invoices": [
    {
      "id": "inv_195h6kfm9ro15lof",
      "amount_due": {
        "amount": 5000,
        "currency": "GBP",
        "formatted": "£50.00"
      },
      "amount_paid": {
        "amount": 4000,
        "currency": "GBP",
        "formatted": "£40.00"
      },
      "contact": {
        "id": "con_195h6kfm9ro15lof"
      },
      "created_at": null,
      "finalized_at": null,
      "line_items": [
        {
          "accounting_code": "ACC-CODE",
          "description": "Security deposit for XYZ",
          "discount_total": {
            "amount": 0,
            "currency": "GBP",
            "formatted": "£0.00"
          },
          "price": {
            "amount": 100000,
            "currency": "GBP",
            "formatted": "£1,000.00"
          },
          "proration": false,
          "quantity": 1,
          "tax": {
            "amount": 10000,
            "currency": "GBP",
            "formatted": "£100.00"
          },
          "total": {
            "amount": 100000,
            "currency": "GBP",
            "formatted": "£1,000.00"
          },
          "total_excluding_tax": {
            "amount": 90000,
            "currency": "GBP",
            "formatted": "£900.00"
          },
          "type": null
        },
        {
          "accounting_code": "ACC-CODE",
          "description": "Security deposit for XYZ",
          "discount_total": {
            "amount": 0,
            "currency": "GBP",
            "formatted": "£0.00"
          },
          "price": {
            "amount": 100000,
            "currency": "GBP",
            "formatted": "£1,000.00"
          },
          "proration": false,
          "quantity": 1,
          "tax": {
            "amount": 10000,
            "currency": "GBP",
            "formatted": "£100.00"
          },
          "total": {
            "amount": 100000,
            "currency": "GBP",
            "formatted": "£1,000.00"
          },
          "total_excluding_tax": {
            "amount": 90000,
            "currency": "GBP",
            "formatted": "£900.00"
          },
          "type": null
        }
      ],
      "number": "ABC-361",
      "paid_at": null,
      "period_end": null,
      "period_start": "2025-02-22T14:41:00Z",
      "post_payment_credit_notes_amount": {
        "amount": 0,
        "currency": "GBP",
        "formatted": "£0.00"
      },
      "pre_payment_credit_notes_amount": {
        "amount": 0,
        "currency": "GBP",
        "formatted": "£0.00"
      },
      "purchase_order_number": null,
      "site": {
        "id": "site_14b419f1096013f1"
      },
      "status": "draft",
      "subscription": {
        "id": "sub_f7d4fea53ccdefe0"
      },
      "subtotal": {
        "amount": 10000,
        "currency": "GBP",
        "formatted": "£100.00"
      },
      "tax": {
        "amount": 1000,
        "currency": "GBP",
        "formatted": "£10.00"
      },
      "tenancy": {
        "id": "ten_acaf3269a573af74"
      },
      "total": {
        "amount": 9000,
        "currency": "GBP",
        "formatted": "£90.00"
      },
      "type": "deposit",
      "voided_at": null
    }
  ],
  "meta": {
    "request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
    "curies": [
      {
        "name": "bo",
        "href": "https://app.stora.test{rel}",
        "templated": true,
        "title": "Backoffice"
      },
      {
        "name": "sf",
        "href": "https://acme.stora.test{rel}",
        "templated": true,
        "title": "Storefront"
      }
    ],
    "pagination": {
      "count": 1,
      "last": 1,
      "limit": 50,
      "next": null,
      "page": 1,
      "pages": 1,
      "prev": null
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer Token necessary to use API

Query Parameters

page
integer

Pagination: Page number

Required range: x >= 1
limit
integer

Pagination: Limit number of items per page.

Required range: 1 <= x <= 100
sort_by
enum<string>

Sorting by attribute. Default created_at

Available options:
created_at,
updated_at
sort_direction
enum<string>

Sorting by ASC or DESC direction. Default DESC

Available options:
ASC,
DESC
contact_id
string[]

Filter by Contact IDs. Supports multiple values separated by a comma.

site_id
string[]

Filter by Site IDs. Supports multiple values separated by a comma.

subscription_id
string[]

Filter by Subscription IDs. Supports multiple values separated by a comma.

tenancy_id
string[]

Filter by Tenancy IDs. Supports multiple values separated by a comma.

expand
string[]

This endpoint supports expandable responses. For more, see the documentation page.

status
enum<string>[]

Filter by status. Supports multiple values separated by a comma.

Available options:
draft,
deleted,
open,
paid,
uncollectible,
void
type
enum<string>[]

Filter by type. Supports multiple values separated by a comma.

Available options:
subscription,
ad_hoc,
deposit
created_after
string<date-time>

Filters results to created after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

created_before
string<date-time>

Filters results to created before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

updated_after
string<date-time>

Filters results to updated after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

updated_before
string<date-time>

Filters results to updated before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

Response

200 - application/json

list of invoices

List of Invoices

invoices
object[]
meta
object